Package org.eclipse.emf.cdo.lm.security

# Interface LMFilter

All Superinterfaces:
  `CDOObject`, `CDOWithID`, `EObject`, `Notifier`, `PermissionFilter`

All Known Subinterfaces:
  `ModuleFilter`, `ModuleTypeFilter`

All Known Implementing Classes:
  `LMFilterImpl`, `ModuleFilterImpl`, `ModuleTypeFilterImpl`

public interface LMFilter extends PermissionFilter
A representation of the model object 'LM Filter'.

The following features are supported:

- `Regex`

See Also:
  - `LMSecurityPackage.getLMFilter()`
Generated
Model
  abstract="true"

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isRegex()`
Returns the value of the 'Regex' attribute.
`void`
`setRegex(boolean value)`
Sets the value of the '`Regex`' attribute.

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.cdo.security.PermissionFilter

`format, isApplicable, isImpacted`

## Method Details

### isRegex

boolean isRegex()
Returns the value of the 'Regex' attribute.

Returns:
  the value of the 'Regex' attribute.
See Also:
  - `setRegex(boolean)`
  - `LMSecurityPackage.getLMFilter_Regex()`
Generated
Model

### setRegex

void setRegex(boolean value)
Sets the value of the '`Regex`' attribute.

Parameters:
  `value` - the new value of the 'Regex' attribute.
See Also:
  - `isRegex()`
Generated